---
title: Read All Voice Phrases (deprecated)
description: Use the GET {{apiPath}}/v1/environments/{{envID}}/voicePhrases request to return all the verify voice phrases in the environment.
component: pingone-api
page_id: pingone-api:verify:verify-voice-phrases/read-all-voice-phrases
canonical_url: https://developer.pingidentity.com/pingone-api/verify/verify-voice-phrases/read-all-voice-phrases.html
section_ids:
  headers: Headers
  example-request: Example Request
  example-response: Example Response
---

# Read All Voice Phrases (deprecated)

##

```none
GET {{apiPath}}/v1/environments/{{envID}}/voicePhrases
```

Use the `GET {{apiPath}}/v1/environments/{{envID}}/voicePhrases` request to return all the verify voice phrases in the environment.

|   |                                                                            |
| - | -------------------------------------------------------------------------- |
|   | Voice verification is deprecated and will be removed on November 25, 2026. |

This returns only the named containers for voice phrases. Use [Read All Voice Phrase Contents (deprecated)](read-all-voice-phrase-contents.html) to retrieve all voice phrase contents for any voice phrase.

### Headers

Authorization      Bearer {{accessToken}}

##

### Example Request

* cURL

* C#

* Go

* HTTP

* Java

* jQuery

* NodeJS

* Python

* PHP

* Ruby

* Swift

```shell
curl --location --globoff '{{apiPath}}/v1/environments/{{envID}}/voicePhrases' \
--header 'Authorization: Bearer {{accessToken}}'
```

```csharp
var options = new RestClientOptions("{{apiPath}}/v1/environments/{{envID}}/voicePhrases")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("", Method.Get);
request.AddHeader("Authorization", "Bearer {{accessToken}}");
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
```

```golang
package main

import (
  "fmt"
  "net/http"
  "io"
)

func main() {

  url := "{{apiPath}}/v1/environments/{{envID}}/voicePhrases"
  method := "GET"

  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, nil)

  if err != nil {
    fmt.Println(err)
    return
  }
  req.Header.Add("Authorization", "Bearer {{accessToken}}")

  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := io.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
```

```http
GET /v1/environments/{{envID}}/voicePhrases HTTP/1.1
Host: {{apiPath}}
Authorization: Bearer {{accessToken}}
```

```java
OkHttpClient client = new OkHttpClient().newBuilder()
  .build();
MediaType mediaType = MediaType.parse("text/plain");
RequestBody body = RequestBody.create(mediaType, "");
Request request = new Request.Builder()
  .url("{{apiPath}}/v1/environments/{{envID}}/voicePhrases")
  .method("GET", body)
  .addHeader("Authorization", "Bearer {{accessToken}}")
  .build();
Response response = client.newCall(request).execute();
```

```javascript
var settings = {
  "url": "{{apiPath}}/v1/environments/{{envID}}/voicePhrases",
  "method": "GET",
  "timeout": 0,
  "headers": {
    "Authorization": "Bearer {{accessToken}}"
  },
};

$.ajax(settings).done(function (response) {
  console.log(response);
});
```

```javascript
var request = require('request');
var options = {
  'method': 'GET',
  'url': '{{apiPath}}/v1/environments/{{envID}}/voicePhrases',
  'headers': {
    'Authorization': 'Bearer {{accessToken}}'
  }
};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});
```

```python
import requests

url = "{{apiPath}}/v1/environments/{{envID}}/voicePhrases"

payload = {}
headers = {
  'Authorization': 'Bearer {{accessToken}}'
}

response = requests.request("GET", url, headers=headers, data=payload)

print(response.text)
```

```php
<?php
require_once 'HTTP/Request2.php';
$request = new HTTP_Request2();
$request->setUrl('{{apiPath}}/v1/environments/{{envID}}/voicePhrases');
$request->setMethod(HTTP_Request2::METHOD_GET);
$request->setConfig(array(
  'follow_redirects' => TRUE
));
$request->setHeader(array(
  'Authorization' => 'Bearer {{accessToken}}'
));
try {
  $response = $request->send();
  if ($response->getStatus() == 200) {
    echo $response->getBody();
  }
  else {
    echo 'Unexpected HTTP status: ' . $response->getStatus() . ' ' .
    $response->getReasonPhrase();
  }
}
catch(HTTP_Request2_Exception $e) {
  echo 'Error: ' . $e->getMessage();
}
```

```ruby
require "uri"
require "net/http"

url = URI("{{apiPath}}/v1/environments/{{envID}}/voicePhrases")

http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Get.new(url)
request["Authorization"] = "Bearer {{accessToken}}"

response = http.request(request)
puts response.read_body
```

```swift
var request = URLRequest(url: URL(string: "{{apiPath}}/v1/environments/{{envID}}/voicePhrases")!,timeoutInterval: Double.infinity)
request.addValue("Bearer {{accessToken}}", forHTTPHeaderField: "Authorization")

request.httpMethod = "GET"

let task = URLSession.shared.dataTask(with: request) { data, response, error in
  guard let data = data else {
    print(String(describing: error))
    return
  }
  print(String(data: data, encoding: .utf8)!)
}

task.resume()
```

### Example Response

200 OK

```json
{
    "_links": {
        "self": {
            "href": "http://api.pingone.com/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/voicePhrases"
        },
        "environment": {
            "href": "http://api.pingone.com/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
        }
    },
    "_embedded": {
        "voicePhrases": [
            {
                "_links": {
                    "self": {
                        "href": "http://api.pingone.com/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/voicePhrases/pingone_davinci_nocode"
                    }
                },
                "id": "pingone_davinci_nocode",
                "environment": {
                    "id": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
                },
                "displayName": "PingOne DaVinci No-Code",
                "createdAt": "2022-06-28T14:31:30.705Z",
                "updatedAt": "2022-06-28T14:31:30.705Z"
            },
            {
                "_links": {
                    "self": {
                        "href": "http://api.pingone.com/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/voicePhrases/exceptional_experiences"
                    }
                },
                "id": "exceptional_experiences",
                "environment": {
                    "id": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
                },
                "displayName": "Exceptional Experiences",
                "createdAt": "2022-06-28T14:31:30.705Z",
                "updatedAt": "2022-06-28T14:31:30.705Z"
            }
        ]
    },
    "size": 2
}
```
